Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network228.99.76.0/22
Usable hosts1,022
Subnet mask255.255.252.0
Addresses1,024
Network address
228.99.76.0
Broadcast address
228.99.79.255
First usable
228.99.76.1
Last usable
228.99.79.254
Usable hosts
1,022 (1,024 less the network and broadcast addresses)
Subnet mask
255.255.252.0
Wildcard mask
0.0.3.255 (Cisco ACLs, OSPF)
Prefix length
/22
Type
Multicast 224.0.0.0/4
One-to-many traffic, such as IPTV and routing protocols
Old class
D (multicast)
As numbers
Hex E4634C00 · Integer 3831712768 to 3831713791
Reverse DNS zones
76.99.228.in-addr.arpa
77.99.228.in-addr.arpa
78.99.228.in-addr.arpa
79.99.228.in-addr.arpa
/22 is not on a 8-bit boundary, so it takes 4 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11100100.01100011.01001100.00000000228.99.76.0
Subnet mask11111111.11111111.11111100.00000000255.255.252.0
Network11100100.01100011.01001100.00000000228.99.76.0
Broadcast11100100.01100011.01001111.11111111228.99.79.255
Split into smaller subnets/32

228.99.76.0/22 makes 1,024 subnets of /32; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1228.99.76.0/32228.99.76.0 to 228.99.76.0—1
2228.99.76.1/32228.99.76.1 to 228.99.76.1—1
3228.99.76.2/32228.99.76.2 to 228.99.76.2—1
4228.99.76.3/32228.99.76.3 to 228.99.76.3—1
5228.99.76.4/32228.99.76.4 to 228.99.76.4—1
6228.99.76.5/32228.99.76.5 to 228.99.76.5—1
7228.99.76.6/32228.99.76.6 to 228.99.76.6—1
8228.99.76.7/32228.99.76.7 to 228.99.76.7—1
9228.99.76.8/32228.99.76.8 to 228.99.76.8—1
10228.99.76.9/32228.99.76.9 to 228.99.76.9—1
11228.99.76.10/32228.99.76.10 to 228.99.76.10—1
12228.99.76.11/32228.99.76.11 to 228.99.76.11—1
13228.99.76.12/32228.99.76.12 to 228.99.76.12—1
14228.99.76.13/32228.99.76.13 to 228.99.76.13—1
15228.99.76.14/32228.99.76.14 to 228.99.76.14—1
16228.99.76.15/32228.99.76.15 to 228.99.76.15—1
17228.99.76.16/32228.99.76.16 to 228.99.76.16—1
18228.99.76.17/32228.99.76.17 to 228.99.76.17—1
19228.99.76.18/32228.99.76.18 to 228.99.76.18—1
20228.99.76.19/32228.99.76.19 to 228.99.76.19—1
21228.99.76.20/32228.99.76.20 to 228.99.76.20—1
22228.99.76.21/32228.99.76.21 to 228.99.76.21—1
23228.99.76.22/32228.99.76.22 to 228.99.76.22—1
24228.99.76.23/32228.99.76.23 to 228.99.76.23—1
25228.99.76.24/32228.99.76.24 to 228.99.76.24—1
26228.99.76.25/32228.99.76.25 to 228.99.76.25—1
27228.99.76.26/32228.99.76.26 to 228.99.76.26—1
28228.99.76.27/32228.99.76.27 to 228.99.76.27—1
29228.99.76.28/32228.99.76.28 to 228.99.76.28—1
30228.99.76.29/32228.99.76.29 to 228.99.76.29—1
31228.99.76.30/32228.99.76.30 to 228.99.76.30—1
32228.99.76.31/32228.99.76.31 to 228.99.76.31—1
33228.99.76.32/32228.99.76.32 to 228.99.76.32—1
34228.99.76.33/32228.99.76.33 to 228.99.76.33—1
35228.99.76.34/32228.99.76.34 to 228.99.76.34—1
36228.99.76.35/32228.99.76.35 to 228.99.76.35—1
37228.99.76.36/32228.99.76.36 to 228.99.76.36—1
38228.99.76.37/32228.99.76.37 to 228.99.76.37—1
39228.99.76.38/32228.99.76.38 to 228.99.76.38—1
40228.99.76.39/32228.99.76.39 to 228.99.76.39—1
41228.99.76.40/32228.99.76.40 to 228.99.76.40—1
42228.99.76.41/32228.99.76.41 to 228.99.76.41—1
43228.99.76.42/32228.99.76.42 to 228.99.76.42—1
44228.99.76.43/32228.99.76.43 to 228.99.76.43—1
45228.99.76.44/32228.99.76.44 to 228.99.76.44—1
46228.99.76.45/32228.99.76.45 to 228.99.76.45—1
47228.99.76.46/32228.99.76.46 to 228.99.76.46—1
48228.99.76.47/32228.99.76.47 to 228.99.76.47—1
49228.99.76.48/32228.99.76.48 to 228.99.76.48—1
50228.99.76.49/32228.99.76.49 to 228.99.76.49—1
51228.99.76.50/32228.99.76.50 to 228.99.76.50—1
52228.99.76.51/32228.99.76.51 to 228.99.76.51—1
53228.99.76.52/32228.99.76.52 to 228.99.76.52—1
54228.99.76.53/32228.99.76.53 to 228.99.76.53—1
55228.99.76.54/32228.99.76.54 to 228.99.76.54—1
56228.99.76.55/32228.99.76.55 to 228.99.76.55—1
57228.99.76.56/32228.99.76.56 to 228.99.76.56—1
58228.99.76.57/32228.99.76.57 to 228.99.76.57—1
59228.99.76.58/32228.99.76.58 to 228.99.76.58—1
60228.99.76.59/32228.99.76.59 to 228.99.76.59—1
61228.99.76.60/32228.99.76.60 to 228.99.76.60—1
62228.99.76.61/32228.99.76.61 to 228.99.76.61—1
63228.99.76.62/32228.99.76.62 to 228.99.76.62—1
64228.99.76.63/32228.99.76.63 to 228.99.76.63—1
65228.99.76.64/32228.99.76.64 to 228.99.76.64—1
66228.99.76.65/32228.99.76.65 to 228.99.76.65—1
67228.99.76.66/32228.99.76.66 to 228.99.76.66—1
68228.99.76.67/32228.99.76.67 to 228.99.76.67—1
69228.99.76.68/32228.99.76.68 to 228.99.76.68—1
70228.99.76.69/32228.99.76.69 to 228.99.76.69—1
71228.99.76.70/32228.99.76.70 to 228.99.76.70—1
72228.99.76.71/32228.99.76.71 to 228.99.76.71—1
73228.99.76.72/32228.99.76.72 to 228.99.76.72—1
74228.99.76.73/32228.99.76.73 to 228.99.76.73—1
75228.99.76.74/32228.99.76.74 to 228.99.76.74—1
76228.99.76.75/32228.99.76.75 to 228.99.76.75—1
77228.99.76.76/32228.99.76.76 to 228.99.76.76—1
78228.99.76.77/32228.99.76.77 to 228.99.76.77—1
79228.99.76.78/32228.99.76.78 to 228.99.76.78—1
80228.99.76.79/32228.99.76.79 to 228.99.76.79—1
81228.99.76.80/32228.99.76.80 to 228.99.76.80—1
82228.99.76.81/32228.99.76.81 to 228.99.76.81—1
83228.99.76.82/32228.99.76.82 to 228.99.76.82—1
84228.99.76.83/32228.99.76.83 to 228.99.76.83—1
85228.99.76.84/32228.99.76.84 to 228.99.76.84—1
86228.99.76.85/32228.99.76.85 to 228.99.76.85—1
87228.99.76.86/32228.99.76.86 to 228.99.76.86—1
88228.99.76.87/32228.99.76.87 to 228.99.76.87—1
89228.99.76.88/32228.99.76.88 to 228.99.76.88—1
90228.99.76.89/32228.99.76.89 to 228.99.76.89—1
91228.99.76.90/32228.99.76.90 to 228.99.76.90—1
92228.99.76.91/32228.99.76.91 to 228.99.76.91—1
93228.99.76.92/32228.99.76.92 to 228.99.76.92—1
94228.99.76.93/32228.99.76.93 to 228.99.76.93—1
95228.99.76.94/32228.99.76.94 to 228.99.76.94—1
96228.99.76.95/32228.99.76.95 to 228.99.76.95—1
97228.99.76.96/32228.99.76.96 to 228.99.76.96—1
98228.99.76.97/32228.99.76.97 to 228.99.76.97—1
99228.99.76.98/32228.99.76.98 to 228.99.76.98—1
100228.99.76.99/32228.99.76.99 to 228.99.76.99—1
101228.99.76.100/32228.99.76.100 to 228.99.76.100—1
102228.99.76.101/32228.99.76.101 to 228.99.76.101—1
103228.99.76.102/32228.99.76.102 to 228.99.76.102—1
104228.99.76.103/32228.99.76.103 to 228.99.76.103—1
105228.99.76.104/32228.99.76.104 to 228.99.76.104—1
106228.99.76.105/32228.99.76.105 to 228.99.76.105—1
107228.99.76.106/32228.99.76.106 to 228.99.76.106—1
108228.99.76.107/32228.99.76.107 to 228.99.76.107—1
109228.99.76.108/32228.99.76.108 to 228.99.76.108—1
110228.99.76.109/32228.99.76.109 to 228.99.76.109—1
111228.99.76.110/32228.99.76.110 to 228.99.76.110—1
112228.99.76.111/32228.99.76.111 to 228.99.76.111—1
113228.99.76.112/32228.99.76.112 to 228.99.76.112—1
114228.99.76.113/32228.99.76.113 to 228.99.76.113—1
115228.99.76.114/32228.99.76.114 to 228.99.76.114—1
116228.99.76.115/32228.99.76.115 to 228.99.76.115—1
117228.99.76.116/32228.99.76.116 to 228.99.76.116—1
118228.99.76.117/32228.99.76.117 to 228.99.76.117—1
119228.99.76.118/32228.99.76.118 to 228.99.76.118—1
120228.99.76.119/32228.99.76.119 to 228.99.76.119—1
121228.99.76.120/32228.99.76.120 to 228.99.76.120—1
122228.99.76.121/32228.99.76.121 to 228.99.76.121—1
123228.99.76.122/32228.99.76.122 to 228.99.76.122—1
124228.99.76.123/32228.99.76.123 to 228.99.76.123—1
125228.99.76.124/32228.99.76.124 to 228.99.76.124—1
126228.99.76.125/32228.99.76.125 to 228.99.76.125—1
127228.99.76.126/32228.99.76.126 to 228.99.76.126—1
128228.99.76.127/32228.99.76.127 to 228.99.76.127—1
129228.99.76.128/32228.99.76.128 to 228.99.76.128—1
130228.99.76.129/32228.99.76.129 to 228.99.76.129—1
131228.99.76.130/32228.99.76.130 to 228.99.76.130—1
132228.99.76.131/32228.99.76.131 to 228.99.76.131—1
133228.99.76.132/32228.99.76.132 to 228.99.76.132—1
134228.99.76.133/32228.99.76.133 to 228.99.76.133—1
135228.99.76.134/32228.99.76.134 to 228.99.76.134—1
136228.99.76.135/32228.99.76.135 to 228.99.76.135—1
137228.99.76.136/32228.99.76.136 to 228.99.76.136—1
138228.99.76.137/32228.99.76.137 to 228.99.76.137—1
139228.99.76.138/32228.99.76.138 to 228.99.76.138—1
140228.99.76.139/32228.99.76.139 to 228.99.76.139—1
141228.99.76.140/32228.99.76.140 to 228.99.76.140—1
142228.99.76.141/32228.99.76.141 to 228.99.76.141—1
143228.99.76.142/32228.99.76.142 to 228.99.76.142—1
144228.99.76.143/32228.99.76.143 to 228.99.76.143—1
145228.99.76.144/32228.99.76.144 to 228.99.76.144—1
146228.99.76.145/32228.99.76.145 to 228.99.76.145—1
147228.99.76.146/32228.99.76.146 to 228.99.76.146—1
148228.99.76.147/32228.99.76.147 to 228.99.76.147—1
149228.99.76.148/32228.99.76.148 to 228.99.76.148—1
150228.99.76.149/32228.99.76.149 to 228.99.76.149—1
151228.99.76.150/32228.99.76.150 to 228.99.76.150—1
152228.99.76.151/32228.99.76.151 to 228.99.76.151—1
153228.99.76.152/32228.99.76.152 to 228.99.76.152—1
154228.99.76.153/32228.99.76.153 to 228.99.76.153—1
155228.99.76.154/32228.99.76.154 to 228.99.76.154—1
156228.99.76.155/32228.99.76.155 to 228.99.76.155—1
157228.99.76.156/32228.99.76.156 to 228.99.76.156—1
158228.99.76.157/32228.99.76.157 to 228.99.76.157—1
159228.99.76.158/32228.99.76.158 to 228.99.76.158—1
160228.99.76.159/32228.99.76.159 to 228.99.76.159—1
161228.99.76.160/32228.99.76.160 to 228.99.76.160—1
162228.99.76.161/32228.99.76.161 to 228.99.76.161—1
163228.99.76.162/32228.99.76.162 to 228.99.76.162—1
164228.99.76.163/32228.99.76.163 to 228.99.76.163—1
165228.99.76.164/32228.99.76.164 to 228.99.76.164—1
166228.99.76.165/32228.99.76.165 to 228.99.76.165—1
167228.99.76.166/32228.99.76.166 to 228.99.76.166—1
168228.99.76.167/32228.99.76.167 to 228.99.76.167—1
169228.99.76.168/32228.99.76.168 to 228.99.76.168—1
170228.99.76.169/32228.99.76.169 to 228.99.76.169—1
171228.99.76.170/32228.99.76.170 to 228.99.76.170—1
172228.99.76.171/32228.99.76.171 to 228.99.76.171—1
173228.99.76.172/32228.99.76.172 to 228.99.76.172—1
174228.99.76.173/32228.99.76.173 to 228.99.76.173—1
175228.99.76.174/32228.99.76.174 to 228.99.76.174—1
176228.99.76.175/32228.99.76.175 to 228.99.76.175—1
177228.99.76.176/32228.99.76.176 to 228.99.76.176—1
178228.99.76.177/32228.99.76.177 to 228.99.76.177—1
179228.99.76.178/32228.99.76.178 to 228.99.76.178—1
180228.99.76.179/32228.99.76.179 to 228.99.76.179—1
181228.99.76.180/32228.99.76.180 to 228.99.76.180—1
182228.99.76.181/32228.99.76.181 to 228.99.76.181—1
183228.99.76.182/32228.99.76.182 to 228.99.76.182—1
184228.99.76.183/32228.99.76.183 to 228.99.76.183—1
185228.99.76.184/32228.99.76.184 to 228.99.76.184—1
186228.99.76.185/32228.99.76.185 to 228.99.76.185—1
187228.99.76.186/32228.99.76.186 to 228.99.76.186—1
188228.99.76.187/32228.99.76.187 to 228.99.76.187—1
189228.99.76.188/32228.99.76.188 to 228.99.76.188—1
190228.99.76.189/32228.99.76.189 to 228.99.76.189—1
191228.99.76.190/32228.99.76.190 to 228.99.76.190—1
192228.99.76.191/32228.99.76.191 to 228.99.76.191—1
193228.99.76.192/32228.99.76.192 to 228.99.76.192—1
194228.99.76.193/32228.99.76.193 to 228.99.76.193—1
195228.99.76.194/32228.99.76.194 to 228.99.76.194—1
196228.99.76.195/32228.99.76.195 to 228.99.76.195—1
197228.99.76.196/32228.99.76.196 to 228.99.76.196—1
198228.99.76.197/32228.99.76.197 to 228.99.76.197—1
199228.99.76.198/32228.99.76.198 to 228.99.76.198—1
200228.99.76.199/32228.99.76.199 to 228.99.76.199—1
201228.99.76.200/32228.99.76.200 to 228.99.76.200—1
202228.99.76.201/32228.99.76.201 to 228.99.76.201—1
203228.99.76.202/32228.99.76.202 to 228.99.76.202—1
204228.99.76.203/32228.99.76.203 to 228.99.76.203—1
205228.99.76.204/32228.99.76.204 to 228.99.76.204—1
206228.99.76.205/32228.99.76.205 to 228.99.76.205—1
207228.99.76.206/32228.99.76.206 to 228.99.76.206—1
208228.99.76.207/32228.99.76.207 to 228.99.76.207—1
209228.99.76.208/32228.99.76.208 to 228.99.76.208—1
210228.99.76.209/32228.99.76.209 to 228.99.76.209—1
211228.99.76.210/32228.99.76.210 to 228.99.76.210—1
212228.99.76.211/32228.99.76.211 to 228.99.76.211—1
213228.99.76.212/32228.99.76.212 to 228.99.76.212—1
214228.99.76.213/32228.99.76.213 to 228.99.76.213—1
215228.99.76.214/32228.99.76.214 to 228.99.76.214—1
216228.99.76.215/32228.99.76.215 to 228.99.76.215—1
217228.99.76.216/32228.99.76.216 to 228.99.76.216—1
218228.99.76.217/32228.99.76.217 to 228.99.76.217—1
219228.99.76.218/32228.99.76.218 to 228.99.76.218—1
220228.99.76.219/32228.99.76.219 to 228.99.76.219—1
221228.99.76.220/32228.99.76.220 to 228.99.76.220—1
222228.99.76.221/32228.99.76.221 to 228.99.76.221—1
223228.99.76.222/32228.99.76.222 to 228.99.76.222—1
224228.99.76.223/32228.99.76.223 to 228.99.76.223—1
225228.99.76.224/32228.99.76.224 to 228.99.76.224—1
226228.99.76.225/32228.99.76.225 to 228.99.76.225—1
227228.99.76.226/32228.99.76.226 to 228.99.76.226—1
228228.99.76.227/32228.99.76.227 to 228.99.76.227—1
229228.99.76.228/32228.99.76.228 to 228.99.76.228—1
230228.99.76.229/32228.99.76.229 to 228.99.76.229—1
231228.99.76.230/32228.99.76.230 to 228.99.76.230—1
232228.99.76.231/32228.99.76.231 to 228.99.76.231—1
233228.99.76.232/32228.99.76.232 to 228.99.76.232—1
234228.99.76.233/32228.99.76.233 to 228.99.76.233—1
235228.99.76.234/32228.99.76.234 to 228.99.76.234—1
236228.99.76.235/32228.99.76.235 to 228.99.76.235—1
237228.99.76.236/32228.99.76.236 to 228.99.76.236—1
238228.99.76.237/32228.99.76.237 to 228.99.76.237—1
239228.99.76.238/32228.99.76.238 to 228.99.76.238—1
240228.99.76.239/32228.99.76.239 to 228.99.76.239—1
241228.99.76.240/32228.99.76.240 to 228.99.76.240—1
242228.99.76.241/32228.99.76.241 to 228.99.76.241—1
243228.99.76.242/32228.99.76.242 to 228.99.76.242—1
244228.99.76.243/32228.99.76.243 to 228.99.76.243—1
245228.99.76.244/32228.99.76.244 to 228.99.76.244—1
246228.99.76.245/32228.99.76.245 to 228.99.76.245—1
247228.99.76.246/32228.99.76.246 to 228.99.76.246—1
248228.99.76.247/32228.99.76.247 to 228.99.76.247—1
249228.99.76.248/32228.99.76.248 to 228.99.76.248—1
250228.99.76.249/32228.99.76.249 to 228.99.76.249—1
251228.99.76.250/32228.99.76.250 to 228.99.76.250—1
252228.99.76.251/32228.99.76.251 to 228.99.76.251—1
253228.99.76.252/32228.99.76.252 to 228.99.76.252—1
254228.99.76.253/32228.99.76.253 to 228.99.76.253—1
255228.99.76.254/32228.99.76.254 to 228.99.76.254—1
256228.99.76.255/32228.99.76.255 to 228.99.76.255—1

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses